import numpy as np

def generate_random_cities(num_cities, filename):
    cities = {}
    for i in range(num_cities):
        city_name = chr(65 + i)  # Genera nombres de ciudades A, B, C, ...
        x, y = np.random.randint(0, 10), np.random.randint(0, 10)  # Coordenadas aleatorias entre 0 y 9
        cities[city_name] = (x, y)
    
    with open(filename, 'w') as file:
        for city, coordinates in cities.items():
            file.write(f"{city} {coordinates[0]} {coordinates[1]}\n")

# Solicitar el número de ciudades al usuario
num_cities = int(input("Ingrese el número de ciudades: "))
filename = 'cities.txt'  # Nombre del archivo

# Generar el archivo de texto con las ciudades y sus coordenadas aleatorias
generate_random_cities(num_cities, filename)

print(f"Archivo '{filename}' generado con éxito con {num_cities} ciudades.")
