import operator
with open('items.txt') as f:
    num_items = int(f.readline())  
    max_weight = float(f.readline())
    
    items = []
    for line in f:
        value, weight = map(float, line.split())
        items.append([value, weight])
        
items.sort(key=lambda x: x[0]/x[1], reverse=True)  

total_value = 0
total_weight = 0 
selected = []
for item in items:
    if total_weight + item[1] <= max_weight:
        selected.append(item)
        total_value += item[0]
        total_weight += item[1]
        
print(f"Total of numbers: {num_items}")        
print(f"Total Value: {total_value}")
print(f"Weight Total supported: {total_weight}")